class Question < ApplicationRecord
  serialize :input_options, Array

  has_many :answers
  belongs_to :quiz

  before_validation :compact_input_options

  validates :quiz_id, presence: true
  validates :question, presence: true
  validates :category, presence: true
  validates :input_type, presence: true
  validates :input_options, input_options_presence: true

  private

    def compact_input_options
      self.input_options = input_options.reject(&:blank?)
    end
end
